Mr. X Mr. X - 1 year ago 160
Android Question

Failed to find:com.android.support:design:26.0.1

I want to use

AppBarLayout
and
CoordinateLayout
for my Android project so, I added
compile 'com.android.support:design:26.0.1'
to the gradle dependencies. But I'm getting an error all the time as
Failed to find:com.android.support:design:26.0.1.
and if I try choose the install repository and sync again option, nothing is happening.

I think my SDK is pretty much update!

How to get rid of it and be able to add the layouts ?

Answer Source

From the documentation, make sure you have include a maven section with the https://maven.google.com endpoint.

allprojects {
    repositories {
        jcenter()
        maven {
            url "https://maven.google.com"
        }
    }
}
Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download